//+------------------------------------------------------------------+
//|                                                                  |
//|                                                                  |
//|                                      www.arabictrader.com/vb     |
//|                                                                  |
//|                                          mrdollar.cs@gmail.com   |
//+------------------------------------------------------------------+

#property copyright "MR.dollar"
#property link      "mrdollar.cs@gmail.com"
#property  show_inputs
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
enum Order
  {
   BUYSTOP,
   BUYLIMIT,
   SELLSTOP,
   SELLLIMIT
  };
input Order Order_Type=BUYSTOP;
input int OrdersNumber=10;
input int StepPips=10;
input double Lots=0.1;
input int TakeProfit=0;
input int StopLoss=0;
input string comment="EA";
input int MagicNumber=12345;

double point;
int digits,P;
//+------------------------------------------------------------------+
//| FUNCTION DEFINITIONS    deinitialization function                |
//+------------------------------------------------------------------+

void OnInit()
  {

   if(Digits==5 || Digits==3)P=10;
   else P=1;
   if(Digits<4)
     {
      point=0.01;
      digits=2;
     }
   else
     {
      point=0.0001;
      digits=4;
     }

   CreatePanel("Panel_Info_Info1",OBJ_EDIT,"www.ArabicTrader.com",10,25,190,20,DodgerBlue,White,DodgerBlue,11,true,false,0,ALIGN_CENTER);
  }
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
void OnDeinit(const int reason)
  {

  }
//+------------------------------------------------------------------+
//| FUNCTION DEFINITIONS   Start function                            |
//+------------------------------------------------------------------+

void OnStart()
  {
   double TP=0,SL=0,price;
   int ticket;

   for(int i=1;i<=OrdersNumber;i++)
     {
      if(Order_Type==BUYSTOP)
        {
         price=Close[0]+StepPips*i;
         if(TakeProfit!=0)TP=price+TakeProfit*point;
         if(StopLoss!=0)SL=price-StopLoss*point;
         ticket=OrderSend(Symbol(),OP_BUYSTOP,Lots,price,3*P,SL,TP,comment,MagicNumber,0,Blue);
         Print(ticket);
        }
      else if(Order_Type==BUYLIMIT)
        {
         price=Close[0]-StepPips*i;
         if(TakeProfit!=0)TP=price+TakeProfit*point;
         if(StopLoss!=0)SL=price-StopLoss*point;
         ticket=OrderSend(Symbol(),OP_SELL,Lots,price,3*P,SL,TP,comment,MagicNumber,0,Blue);
        }
      else if(Order_Type==SELLSTOP)
        {
         price=Close[0]-StepPips*i;
         if(TakeProfit!=0)TP=price-TakeProfit*point;
         if(StopLoss!=0)SL=price+StopLoss*point;
         ticket=OrderSend(Symbol(),OP_SELL,Lots,price,3*P,SL,TP,comment,MagicNumber,0,Red);
        }
      else if(Order_Type==SELLLIMIT)
        {
         price=Close[0]+StepPips*i;
         if(TakeProfit!=0)TP=price-TakeProfit*point;
         if(StopLoss!=0)SL=price+StopLoss*point;
         ticket=OrderSend(Symbol(),OP_SELL,Lots,price,3*P,SL,TP,comment,MagicNumber,0,Red);
        }
     }

   ObjectDelete(0,"Panel_Info_Info1");
  }
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
void CreatePanel(string name,ENUM_OBJECT Type,string text,int XDistance,int YDistance,int Width,int Hight,
                 color BGColor_,color InfoColor,color boarderColor,int fontsize,bool readonly=false,bool Obj_Selectable=false,int Corner=0,ENUM_ALIGN_MODE Align=ALIGN_LEFT)
  {

   if(ObjectFind(0,name)==-1)
     {
      ObjectCreate(0,name,Type,0,0,0);
      ObjectSetInteger(0,name,OBJPROP_XDISTANCE,XDistance);
      ObjectSetInteger(0,name,OBJPROP_YDISTANCE,YDistance);
      ObjectSetInteger(0,name,OBJPROP_XSIZE,Width);
      ObjectSetInteger(0,name,OBJPROP_YSIZE,Hight);
      ObjectSetString(0,name,OBJPROP_TEXT,text);
      ObjectSetString(0,name,OBJPROP_FONT,"Arial Bold");
      ObjectSetInteger(0,name,OBJPROP_FONTSIZE,fontsize);
      ObjectSetInteger(0,name,OBJPROP_CORNER,Corner);
      ObjectSetInteger(0,name,OBJPROP_COLOR,InfoColor);
      ObjectSetInteger(0,name,OBJPROP_BORDER_TYPE,BORDER_FLAT);
      ObjectSetInteger(0,name,OBJPROP_BORDER_COLOR,boarderColor);
      ObjectSetInteger(0,name,OBJPROP_BGCOLOR,BGColor_);
      ObjectSetInteger(0,name,OBJPROP_SELECTABLE,Obj_Selectable);

      if(Type==OBJ_EDIT)
        {
         ObjectSetInteger(0,name,OBJPROP_ALIGN,Align);
         ObjectSetInteger(0,name,OBJPROP_READONLY,readonly);
        }
     }
   if(ObjectGet(name,OBJPROP_TEXT)!=text && readonly==true)
     {
      ObjectSetString(0,name,OBJPROP_TEXT,text);
     }
  }
//+------------------------------------------------------------------+
